name: Windows Smoke Test

on: push

jobs:
  windows-smoke:
    runs-on: windows-latest

    steps:
      - name: Check out Git repository
        uses: actions/checkout@v6

      - name: Set up Node
        uses: actions/setup-node@v6
        with:
          node-version: 22

      - name: Install Dependencies
        run: npm ci

      - name: Run Windows Smoke Test
        run: npm run smoke:win
